#include "chdecl.h"
void CH_codegen_cgextract(current, sched, cop)
#define ARGUMENTS 10
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb8;
    case 4: goto c10;
    case 5: goto cb10;
    case 6: goto c11;
    case 7: goto c12;
    case 8: goto cb20;
    case 9: goto c21;
    case 10: goto cb28;
    case 11: goto c29;
    case 12: goto cb31;
    case 13: goto c32;
    case 14: goto cb33;
    case 15: goto c34;
    case 16: goto cb46;
    case 18: goto c48;
    case 17: goto c49;
    case 19: goto c49;
    case 20: goto cb58;
    case 21: goto c59;
    case 22: goto cb60;
    case 23: goto c62;
    case 24: goto cb62;
    case 25: goto c63;
    case 26: goto cb109;
    case 27: goto c110;
    case 28: goto cb112;
    case 29: goto c113;
    case 30: goto c117;
    case 31: goto cb127;
    case 32: goto c128;
    case 33: goto cb135;
    case 34: goto c136;
    case 35: goto c142;
    case 36: goto c147;
    case 37: goto c152;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* reveal 3.0.3 , 14 */
  if (14 != REF(3)DOT(0)DOT(3).value.variant->info.variant_case)
     goto ch_case_error;
/* lookup_at 4 3.0.2 =(0) */
  if ( !((ch_t = REF(3)DOT(0)DOT(2).value.table)->size) ) goto ch_notfound;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(4).value,0);
  REF(4).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 5 4 */
  if((ch_returncode = (REF(4).tsdr->copy)(& ch_val, REF(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val;
  REF(5).tsdr = datarepmap[REF(4).tsdr->number];
  current->ip = 3;
cb8:
/* call 3.2.4.4 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(5),
          arguments[2] = DEF(6),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c9:
c10:
  current->ip = 5;
cb10:
/* call 3.2.4.6 5 7 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(5),
          arguments[2] = DEF(7),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c11:
/* call 3.2.3.16 7 8 , 4 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(16),
          arguments[1] = DEF(7),
          arguments[2] = DEF(8),
          arguments[2+1] = nil,& arguments[0]),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
  return;
c12:
/* noop */
  
/* reveal 8.2 , 7 */
  if (7 != REF(8)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* new_record 9 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).value = ch_val; REF(9).tsdr = & dr_record;
/* enum_lit 9.0 , 54 */
  REF(9)DOT(0).value.enumeration = 54;
  REF(9)DOT(0).tsdr = & dr_enumeration;
/* new_table 9.1 , 5 */
  if ((ch_returncode = che_new_table(DEF(9)DOT(1),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 10 6 */
  if((ch_returncode = (REF(6).tsdr->copy)(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val;
  REF(10).tsdr = datarepmap[REF(6).tsdr->number];
/* insert 9.1 10 */
  if ((ch_returncode = insertfunc(DEF(9)DOT(1),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 8;
cb20:
/* call 3.2.3.11 8.2.0 3.1 3.2 11 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(11),
          arguments[1] = DEF(8)DOT(2)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(11),
          arguments[4+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c21:
/* unite 9.2 11 , 12 */
  if ((ch_returncode = che_unite(DEF(9)DOT(2),DEF(11),sched,12)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 9 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(9)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* lookup_at 12 3.0.2 =(1) */
  if (1 >= (ch_t = REF(3)DOT(0)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(12).value,1);
  REF(12).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 13 12 */
  if((ch_returncode = (REF(12).tsdr->copy)(& ch_val, REF(12).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val;
  REF(13).tsdr = datarepmap[REF(12).tsdr->number];
  current->ip = 10;
cb28:
/* call 3.2.4.4 13 14 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(13),
          arguments[2] = DEF(14),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c29:
/* move 15 14 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15) = REF(14);
  REF(14).tsdr = & dr_bottom;
/* find 16 3.2.4.0.1.0 3.0.3.0.0 , 0 */
  if (findfunc(DEF(16),DEF(3)DOT(2)DOT(4)DOT(0)DOT(1)DOT(0),(
          arguments[0] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
  current->ip = 12;
cb31:
/* call 3.2.3.7 16.2 13 3.2 17 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(7),
          arguments[1] = DEF(16)DOT(2),
          arguments[2] = DEF(13),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(17),
          arguments[4+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c32:
/* branch_false 17 , 48 */
  if ( !REF(17).value.boolean ) goto c48;
  current->ip = 14;
cb33:
/* call 3.2.4.7 18 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(7),
          arguments[1] = DEF(18),
          arguments[1+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c34:
/* move 19 18 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* new_record 20 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).value = ch_val; REF(20).tsdr = & dr_record;
/* enum_lit 20.0 , 1 */
  REF(20)DOT(0).value.enumeration = 1;
  REF(20)DOT(0).tsdr = & dr_enumeration;
/* new_table 20.1 , 5 */
  if ((ch_returncode = che_new_table(DEF(20)DOT(1),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 21 19 */
  if((ch_returncode = (REF(19).tsdr->copy)(& ch_val, REF(19).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val;
  REF(21).tsdr = datarepmap[REF(19).tsdr->number];
/* insert 20.1 21 */
  if ((ch_returncode = insertfunc(DEF(20)DOT(1),DEF(21),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 22 15 */
  if((ch_returncode = (REF(15).tsdr->copy)(& ch_val, REF(15).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = datarepmap[REF(15).tsdr->number];
/* insert 20.1 22 */
  if ((ch_returncode = insertfunc(DEF(20)DOT(1),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 20.2 23 , 0 */
  if ((ch_returncode = che_unite(DEF(20)DOT(2),DEF(23),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 20 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(20)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 16;
cb46:
/* call 3.2.4.8 13 19 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(8),
          arguments[1] = DEF(13),
          arguments[2] = DEF(19),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c48:
/* copy 19 15 */
  if((ch_returncode = (REF(15).tsdr->copy)(& ch_val, REF(15).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = datarepmap[REF(15).tsdr->number];
c47:
c49:
/* new_record 24 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).value = ch_val; REF(24).tsdr = & dr_record;
/* enum_lit 24.0 , 62 */
  REF(24)DOT(0).value.enumeration = 62;
  REF(24)DOT(0).tsdr = & dr_enumeration;
/* new_table 24.1 , 5 */
  if ((ch_returncode = che_new_table(DEF(24)DOT(1),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 25 15 */
  if((ch_returncode = (REF(15).tsdr->copy)(& ch_val, REF(15).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val;
  REF(25).tsdr = datarepmap[REF(15).tsdr->number];
/* insert 24.1 25 */
  if ((ch_returncode = insertfunc(DEF(24)DOT(1),DEF(25),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 24.2 23 , 0 */
  if ((ch_returncode = che_unite(DEF(24)DOT(2),DEF(23),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 24 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(24)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 20;
cb58:
/* call 3.2.4.6 13 26 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(6),
          arguments[1] = DEF(13),
          arguments[2] = DEF(26),
          arguments[2+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c59:
/* enum_lit 27 , 0 */
  REF(27).value.enumeration = 0;
  REF(27).tsdr = & dr_enumeration;
  current->ip = 22;
cb60:
/* call 3.2.3.10 3.0.3.0 3.2 26 27 28 15 29 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(3)DOT(10),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0),
          arguments[2] = DEF(3)DOT(2),
          arguments[3] = DEF(26),
          arguments[4] = DEF(27),
          arguments[5] = DEF(28),
          arguments[6] = DEF(15),
          arguments[7] = DEF(29),
          arguments[7+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c61:
c62:
  current->ip = 24;
cb62:
/* call 3.2.4.7 30 , 8 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(7),
          arguments[1] = DEF(30),
          arguments[1+1] = nil,& arguments[0]),QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
  return;
c63:
/* noop */
  
/* new_record 31 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val; REF(31).tsdr = & dr_record;
/* case 32 28 */
  REF(32).value.enumeration = REF(28).value.variant->info.variant_case;
  REF(32).tsdr = & dr_enumeration;
/* equal . 32 =(3) , 76 */
  if ( REF(32).value.enumeration == 3 ) goto c76;
/* equal . 32 =(2) , 80 */
  if ( REF(32).value.enumeration == 2 ) goto c80;
/* equal . 32 =(1) , 86 */
  if ( REF(32).value.enumeration == 1 ) goto c86;
/* equal . 32 =(0) , 92 */
  if ( REF(32).value.enumeration == 0 ) goto c92;
/* branch , 96 */
   goto c96;
c76:
/* enum_lit 31.0 , 68 */
  REF(31)DOT(0).value.enumeration = 68;
  REF(31)DOT(0).tsdr = & dr_enumeration;
/* unite 31.2 23 , 0 */
  if ((ch_returncode = che_unite(DEF(31)DOT(2),DEF(23),sched,0)) != Normal)
     goto ch_raise_exception;
/* branch , 99 */
   goto c99;
c80:
/* reveal 28 , 2 */
  if (2 != REF(28).value.variant->info.variant_case) goto ch_case_error;
/* enum_lit 31.0 , 73 */
  REF(31)DOT(0).value.enumeration = 73;
  REF(31)DOT(0).tsdr = & dr_enumeration;
/* copy 33 28.0.0 */
  if((ch_returncode = (REF(28)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(28)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = datarepmap[REF(28)DOT(0)DOT(0).tsdr->number];
/* unite 31.2 33 , 2 */
  if ((ch_returncode = che_unite(DEF(31)DOT(2),DEF(33),sched,2)) != Normal)
     goto ch_raise_exception;
/* branch , 99 */
   goto c99;
c86:
/* reveal 28 , 1 */
  if (1 != REF(28).value.variant->info.variant_case) goto ch_case_error;
/* enum_lit 31.0 , 73 */
  REF(31)DOT(0).value.enumeration = 73;
  REF(31)DOT(0).tsdr = & dr_enumeration;
/* copy 34 28.0.0 */
  if((ch_returncode = (REF(28)DOT(0)DOT(0).tsdr->copy)(& ch_val, 
    REF(28)DOT(0)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).value = ch_val;
  REF(34).tsdr = datarepmap[REF(28)DOT(0)DOT(0).tsdr->number];
/* unite 31.2 34 , 2 */
  if ((ch_returncode = che_unite(DEF(31)DOT(2),DEF(34),sched,2)) != Normal)
     goto ch_raise_exception;
/* branch , 99 */
   goto c99;
c92:
/* enum_lit 31.0 , 61 */
  REF(31)DOT(0).value.enumeration = 61;
  REF(31)DOT(0).tsdr = & dr_enumeration;
/* unite 31.2 23 , 0 */
  if ((ch_returncode = che_unite(DEF(31)DOT(2),DEF(23),sched,0)) != Normal)
     goto ch_raise_exception;
/* branch , 99 */
   goto c99;
c96:
/* exit , 11 */
  ch_e = handler_type__exit; ch_val = QUAL(11); goto ch_exception;
c99:
/* new_table 31.1 , 5 */
  if ((ch_returncode = che_new_table(DEF(31)DOT(1),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 35 30 */
  if((ch_returncode = (REF(30).tsdr->copy)(& ch_val, REF(30).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = datarepmap[REF(30).tsdr->number];
/* insert 31.1 35 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(35),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* case 36 28 */
  REF(36).value.enumeration = REF(28).value.variant->info.variant_case;
  REF(36).tsdr = & dr_enumeration;
/* notequal . 36 =(3) , 112 */
  if ( REF(36).value.enumeration != 3 ) goto c112;
/* reveal 28 , 3 */
  if (3 != REF(28).value.variant->info.variant_case) goto ch_case_error;
/* copy 37 15 */
  if((ch_returncode = (REF(15).tsdr->copy)(& ch_val, REF(15).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(37).tsdr)->finalize)(REF(37).value,F_DISCARD,sched);
  REF(37).value = ch_val;
  REF(37).tsdr = datarepmap[REF(15).tsdr->number];
/* insert 31.1 37 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 26;
cb109:
/* call 3.2.4.4 28.0.1 38 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(4),
          arguments[1] = DEF(28)DOT(0)DOT(1),
          arguments[2] = DEF(38),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c110:
/* insert 31.1 38 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 117 */
   goto c117;
c112:
  current->ip = 28;
cb112:
/* call 3.2.4.5 3.0.3.0.1 3.0.3.0.0 39 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(5),
          arguments[1] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(1),
          arguments[2] = DEF(3)DOT(0)DOT(3)DOT(0)DOT(0),
          arguments[3] = DEF(39),
          arguments[3+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c113:
/* insert 31.1 39 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 40 15 */
  if((ch_returncode = (REF(15).tsdr->copy)(& ch_val, REF(15).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(40).tsdr)->finalize)(REF(40).value,F_DISCARD,sched);
  REF(40).value = ch_val;
  REF(40).tsdr = datarepmap[REF(15).tsdr->number];
/* insert 31.1 40 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
c117:
/* insert 3.2.4.3.1 31 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(31)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* new_record 31 , 3 */
  if ((ch_val.record = new_record(3)) == nil) goto ch_depletion;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val; REF(31).tsdr = & dr_record;
/* enum_lit 31.0 , 55 */
  REF(31)DOT(0).value.enumeration = 55;
  REF(31)DOT(0).tsdr = & dr_enumeration;
/* new_table 31.1 , 5 */
  if ((ch_returncode = che_new_table(DEF(31)DOT(1),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* insert 31.1 6 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(6),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 31.1 30 */
  if ((ch_returncode = insertfunc(DEF(31)DOT(1),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* unite 31.2 23 , 0 */
  if ((ch_returncode = che_unite(DEF(31)DOT(2),DEF(23),sched,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 31 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(31)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
  current->ip = 31;
cb127:
/* call 29 3.2 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(29),
          arguments[1] = DEF(3)DOT(2),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c128:
/* equal . 19 15 , 136 */
  if ( (REF(19).tsdr->equal)(REF(19).value,REF(15).value) ) goto c136;
/* copy 41 3.2.5.5 */
  if((ch_returncode = (REF(3)DOT(2)DOT(5)DOT(5).tsdr->copy)(& ch_val, 
    REF(3)DOT(2)DOT(5)DOT(5).value)) != Normal) goto ch_raise_exception;
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).value = ch_val;
  REF(41).tsdr = datarepmap[REF(3)DOT(2)DOT(5)DOT(5).tsdr->number];
/* insert 41.1 19 */
  if ((ch_returncode = insertfunc(DEF(41)DOT(1),DEF(19),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 3.2.4.3.1 41 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(2)DOT(4)DOT(3)DOT(1),DEF(41)
    ,FALSE,0)) != Normal) goto ch_raise_exception;
/* new_table 42 , 5 */
  if ((ch_returncode = che_new_table(DEF(42),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
  current->ip = 33;
cb135:
/* call 3.2.4.8 13 42 , 9 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(2)DOT(4)DOT(8),
          arguments[1] = DEF(13),
          arguments[2] = DEF(42),
          arguments[2+1] = nil,& arguments[0]),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
  return;
c136:
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* discard 42 */
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 147 */
   goto c147;
c142:
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 31 */
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).tsdr = & dr_bottom;
/* chs_lit 43 , "CantHappen exit taken in cgextract" */
  if( !chs_lit(DEF(43),"CantHappen exit taken in cgextract") )
     goto ch_depletion;
/* print 43 */
  re_print(stderr, 0, DEF(43)); fflush(stderr);
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
c147:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c152:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
